## adlint 1.10.0

=== share/demo/Makefile ===
DIRS = \
ambig_operator \
arg_points_unset \
array_range \
bad_bitfields \
bad_brace \
bad_charset \
bad_comment \
bad_const \
bad_conv \
bad_enum \
bad_include \
bad_indent \
bad_init \
bad_label \
bad_line \
bad_macro \
bad_return \
bitwise_expr \
call_by_value \
cross_ref \
dangling_else \
dead_code \
deep_nest \
dense_switch \
direct_recur \
div_by_zero \
dos_source \
funptr_cast \
goto_stmt \
id_hiding \
ill_defined \
implicit_conv \
implicit_int \
incomplete_ifelse \
incomplete_type \
indirect_recur \
inline_asm \
integer_promotion \
intro_demo \
invalid_call \
kandr_fundef \
line_comment \
local_decl \
logical_expr \
logical_trick \
long_sym \
loop_var \
malloc_or_die \
may_be_null \
may_be_null_arith \
may_be_unset \
mmapped_io \
multi_break \
multi_decl \
multi_def \
multi_typedef \
must_be_false \
must_be_null \
must_be_null_arith \
must_be_true \
no_eof_nl \
no_void_arg \
null_stmt \
octal_const \
output_by_param \
overflow \
press_release \
redundant_select \
register_vars \
reserved_ident \
retn_lvar_addr \
sequence_point \
shift_expr \
should_be_typedef \
static_paths \
static_vars \
tag_hiding \
typedef_each_src \
tricky_incdec \
undefined_macro \
uninit_vars \
union_type \
unmatch_decl \
unmatch_paren_macro \
unnamed_member \
unreachable \
useless_exp_funs \
useless_exp_vars \
useless_expr \
useless_funs \
useless_header \
useless_vars \
va_funcall \
various_fundef \
wchar_wstring \
wrap_around

.PHONY: adlintize
adlintize:
	@for i in $(DIRS); do (\
	    cd $$i; \
	    if [ ! -d adlint ]; then \
	        adlintize -o adlint; \
	    fi \
	) done

.PHONY: all
all : adlintize
	@for i in $(DIRS); do (\
	    cd $$i/adlint; \
	    make all 2>/dev/null; \
	) done

.PHONY: verbose-all
verbose-all : adlintize
	@for i in $(DIRS); do (\
	    cd $$i/adlint; \
	    make verbose-all; \
	) done

.PHONY: clean
clean :
	@-for i in $(DIRS); do ( cd $$i/adlint && make clean; ) done
	@for i in $(DIRS); do ( rm -rf $$i/adlint; ) done

=== share/doc/Makefile ===
MAKEINFO = makeinfo

.SUFFIXES : .texi .html .txt

.texi.html :
	$(MAKEINFO) --html --no-split --css-include=texinfo.css -o $@ $<

.texi.txt :
	$(MAKEINFO) --plaintext -o $@ $<

TARGET = users_guide_ja.html users_guide_en.html developers_guide_ja.html

all : $(TARGET)

clean :
	rm -f $(TARGET)

=== debian/changelog ===
adlint (1.10.0-1) unstable; urgency=low

  * Imported Upstream version 1.10.0

 -- TANIGUCHI Takaki <takaki@debian.org>  Sun, 10 Jun 2012 19:50:11 +0900

adlint (1.8.10-1) unstable; urgency=low

  * Imported Upstream version 1.8.10

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 22 May 2012 14:02:58 +0900

adlint (1.8.2-1) unstable; urgency=low

  * Imported Upstream version 1.8.2

 -- TANIGUCHI Takaki <takaki@debian.org>  Wed, 09 May 2012 09:25:10 +0900

adlint (1.6.0-1) unstable; urgency=low

  * Imported Upstream version 1.6.0

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 09 Apr 2012 10:11:03 +0900

adlint (1.4.0-1) unstable; urgency=low

  * Imported Upstream version 1.4.0

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 02 Apr 2012 09:04:40 +0900

adlint (1.2.0-1) unstable; urgency=low

  * debian/control: Change section to devel.
  * Imported Upstream version 1.2.0

 -- TANIGUCHI Takaki <takaki@debian.org>  Sat, 24 Mar 2012 12:19:15 +0900

adlint (1.0.0-1) unstable; urgency=low

  * Initial release (Closes: #661862)

 -- TANIGUCHI Takaki <takaki@debian.org>  Sun, 04 Mar 2012 14:48:39 +0900

=== debian/control ===
Source: adlint
Section: devel
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50~), gem2deb (>= 0.2.13~)
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/pkg-ruby-extras/adlint.git
Vcs-Browser: http://git.debian.org/?p=pkg-ruby-extras/adlint.git;a=summary
Homepage: http://adlint.sourceforge.net/
XS-Ruby-Versions: ruby1.9.1

Package: adlint
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ${shlibs:Depends}, ${misc:Depends}, ruby1.9.1 
Description: open source and free source code static analyzer
 AdLint is a source code static analyzer. It can point out insecure or
 nonportable code fragments, and can measure various quality metrics of
 the source code.  It (currently) can analyze source code compliant with
 ANSI C89 / ISO C90 and partly ISO C99.

## adlint 3.0.8

=== debian/changelog ===
adlint (3.0.8-1) unstable; urgency=low

  [ Cédric Boutillier ]
  * debian/control: remove obsolete DM-Upload-Allowed flag
  * use canonical URI in Vcs-* fields

  [ TANIGUCHI Takaki ]
  * Imported Upstream version 3.0.8

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 06 Jun 2013 13:23:21 +0900

adlint (3.0.4-1) unstable; urgency=low

  * Imported Upstream version 3.0.4
  * refresh debian/patches/fix_etc_path

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 06 May 2013 11:18:01 +0900

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,10 @@
 Priority: optional
 Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: TANIGUCHI Takaki <takaki@debian.org>
-DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 7.0.50~), gem2deb (>= 0.2.13~)
 Standards-Version: 3.9.3
-Vcs-Git: git://git.debian.org/pkg-ruby-extras/adlint.git
-Vcs-Browser: http://git.debian.org/?p=pkg-ruby-extras/adlint.git;a=summary
+Vcs-Git: git://anonscm.debian.org/pkg-ruby-extras/adlint.git
+Vcs-Browser: http://anonscm.debian.org/gitweb?p=pkg-ruby-extras/adlint.git;a=summary
 Homepage: http://adlint.sourceforge.net/
 XS-Ruby-Versions: ruby1.9.1

## adlint 3.2.0

=== debian/changelog ===
adlint (3.2.0-1) unstable; urgency=low

  * Imported Upstream version 3.0.10
  * debian/control: Bump Standards-Version to 3.9.4 (with no changes).

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 07 Oct 2013 14:13:19 +0900

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: TANIGUCHI Takaki <takaki@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), gem2deb (>= 0.2.13~)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Vcs-Git: git://anonscm.debian.org/pkg-ruby-extras/adlint.git
 Vcs-Browser: http://anonscm.debian.org/gitweb?p=pkg-ruby-extras/adlint.git;a=summary
 Homepage: http://adlint.sourceforge.net/

## adlint 3.2.14

=== share/demo/Makefile ===
--- 
+++ 
@@ -4,12 +4,10 @@
 array_range \
 bad_bitfields \
 bad_brace \
-bad_charset \
 bad_comment \
 bad_const \
 bad_conv \
 bad_enum \
-bad_include \
 bad_indent \
 bad_init \
 bad_label \

=== share/doc/Makefile ===
MAKEINFO = makeinfo
DOT = dot

.SUFFIXES : .texi .html .txt .dot .pdf

.texi.html :
	$(MAKEINFO) --html --no-split --css-include=texinfo.css -o $@ $<

.texi.txt :
	$(MAKEINFO) --plaintext -o $@ $<

.dot.pdf :
	$(DOT) -Tpdf -o $@ $<

TARGET = users_guide_ja.html users_guide_en.html developers_guide_ja.html c99gram.pdf

all : $(TARGET)

clean :
	rm -f $(TARGET)

=== debian/changelog ===
adlint (3.2.14-4) unstable; urgency=medium

  * d/watch: Update gemwatch URL.

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 17 Jul 2018 12:07:17 +0900

adlint (3.2.14-3) unstable; urgency=medium

  [ Cédric Boutillier ]
  * Bump debhelper compatibility level to 9
  * Remove version in the gem2deb build-dependency
  * Use https:// in Vcs-* fields
  * Use https:// in Vcs-* fields
  * Bump Standards-Version to 3.9.7 (no changes needed)
  * Run wrap-and-sort on packaging files

  [ TANIGUCHI Takaki ]
  * Bump Stanrads-Version to 4.1.4
  * debian/compat: 11
  * debian/control: Move Vcs-* to salsa.d.o.

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 14 Jun 2018 10:07:54 +0900

adlint (3.2.14-2) unstable; urgency=medium

  * merge from team upload. 
    * Build for all Ruby versions

 -- TANIGUCHI Takaki <takaki@debian.org>  Fri, 06 Jun 2014 16:06:44 +0900

adlint (3.2.14-1) unstable; urgency=medium

  * Imported Upstream version 3.2.14
  * Fix message file path. (Closes: #730533)
  * debian/control:

 -- TANIGUCHI Takaki <takaki@debian.org>  Fri, 06 Jun 2014 15:52:27 +0900

adlint (3.2.0-2) unstable; urgency=medium

  * Team upload.
  * Build for all Ruby versions
  * Bump Standards-Version to 3.9.5 (no changes)

 -- Christian Hofstaedtler <zeha@debian.org>  Wed, 09 Apr 2014 20:50:04 +0200

=== debian/control ===
Source: adlint
Section: devel
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: debhelper (>= 11),
               gem2deb
Standards-Version: 4.1.4
Vcs-Git: https://salsa.debian.org/ruby-team/adlint.git
Vcs-Browser: https://salsa.debian.org/ruby-team/adlint
Homepage: http://adlint.sourceforge.net/
XS-Ruby-Versions: all

Package: adlint
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby | ruby-interpreter,
         ${misc:Depends},
         ${shlibs:Depends}
Description: open source and free source code static analyzer
 AdLint is a source code static analyzer. It can point out insecure or
 nonportable code fragments, and can measure various quality metrics of
 the source code.  It (currently) can analyze source code compliant with
 ANSI C89 / ISO C90 and partly ISO C99.

=== debian/watch ===
version=4
https://gemwatch.debian.net/adlint .*/adlint-(.*).tar.gz
